### Hierarchy

- IRenderable
  - IStackeable

### Implemented by

- Basket
- Block
- BootstrapCarousel
- Camera
- Carousel
- ChoiceContainer
- Col
- Form
- Items
- MultipleChoice
- Overlays
- Rating
- Reel
- ReelValue
- Row
- Selection
- SelectionItem
- SingleChoice
- SlotMachine
- SmallDevice
- Table

## Index

### Methods

- render

## Methods

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- Inherited from IRenderable.render

  - Defined in lib/api/IRenderable.ts:15

  Renders an element

  #### Parameters

  - ##### renderer: IRenderer

    the IRenderer which can be used for wrapping elements in the current element

  - ##### isNested: boolean

    the boolean containing if the element is already wrapped in another element

  #### Returns HTMLElement

  the element which was rendered

Generated using TypeDoc